Activity log for bug #855532

Date Who What changed Old value New value Message
2011-09-21 12:56:33 John Lea bug added bug
2011-09-21 12:56:33 John Lea attachment added Super_key_shutcuts_overlay.png https://bugs.launchpad.net/bugs/855532/+attachment/2435792/+files/Super_key_shutcuts_overlay.png
2011-09-21 12:56:40 John Lea ayatana-design: assignee John Lea (johnlea)
2011-09-21 12:56:43 John Lea ayatana-design: importance Undecided High
2011-09-21 12:56:45 John Lea ayatana-design: status New Fix Committed
2011-09-21 12:56:50 John Lea tags onew udo
2011-09-21 14:03:52 John Lea attachment removed Super_key_shutcuts_overlay.png https://bugs.launchpad.net/ayatana-design/+bug/855532/+attachment/2435792/+files/Super_key_shutcuts_overlay.png
2011-09-21 14:04:03 John Lea attachment added Super_key_shutcuts_overlay.png https://bugs.launchpad.net/ayatana-design/+bug/855532/+attachment/2435954/+files/Super_key_shutcuts_overlay.png
2011-09-21 16:08:00 Omer Akram bug task added unity (Ubuntu)
2011-09-21 16:08:08 Omer Akram bug task added unity
2011-09-21 16:08:46 Omer Akram unity: importance Undecided High
2011-09-21 16:08:47 Omer Akram unity (Ubuntu): importance Undecided High
2011-09-21 16:08:49 Omer Akram unity: status New Triaged
2011-09-21 16:08:50 Omer Akram unity (Ubuntu): status New Triaged
2011-09-21 16:09:22 Omer Akram unity: status Triaged Confirmed
2011-09-21 16:09:23 Omer Akram unity (Ubuntu): status Triaged Confirmed
2011-09-22 15:28:34 Gary M bug added subscriber Gary M
2011-09-23 04:08:06 Adolfo Jayme bug added subscriber Fitoschido
2011-09-28 16:22:28 John Lea ayatana-design: status Fix Committed Fix Released
2011-10-03 09:17:02 Yann Dìnendal bug added subscriber Yann Dìnendal
2011-10-08 22:27:53 Jacopo Moronato bug added subscriber Jacopo Moronato
2011-10-17 16:44:09 Matt Price bug added subscriber Matt Price
2011-10-18 16:21:25 John Lea tags onew udo onew udo udp
2011-10-18 16:21:29 John Lea unity: milestone backlog
2011-10-18 16:25:11 John Lea ayatana-design: status Fix Released Fix Committed
2011-10-20 13:23:35 John Lea ayatana-design: status Fix Committed Triaged
2011-11-03 16:01:27 John Lea unity: assignee Didier Roche (didrocks)
2011-11-03 16:01:30 John Lea ayatana-design: status Triaged Fix Committed
2011-11-03 19:23:11 Didier Roche unity: assignee Didier Roche (didrocks) Jason Smith (jassmith)
2011-11-17 15:27:08 John Lea description Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key. See the attached design "Super_key_shutcuts_overlay.png". The overlay should use exact same border and transparent material as Alt-Tab. This should be displayed every time the user presses and holds the Super key, at the same time the Launcher keyboard shortcut hints are displayed. Releasing the Super key should hide this overlay, again at the same time the Launcher keyboard shortcust hints are hidden. Also not that the design of the Launcher keyboard shortcust hints has been updated. Contact Rosie for all required visual assets and dimensions. Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key. See the attached design "Super_key_shutcuts_overlay.png". The overlay should use exact same border and transparent material as Alt-Tab. The keyboard shortcuts themselves are defined in the following google doc https://docs.google.com/a/canonical.com/document/d/1jqeKtIJwqLtl58Wk_fqjr9Rrgxn9zsouCYOo-cZsLSE/edit?authkey=CLGG9NkJ&hl=en_GB This should be displayed every time the user presses and holds the Super key, at the same time the Launcher keyboard shortcut hints are displayed. Releasing the Super key should hide this overlay, again at the same time the Launcher keyboard shortcust hints are hidden. Also not that the design of the Launcher keyboard shortcust hints has been updated. Contact Rosie for all required visual assets and dimensions.
2011-11-17 18:28:38 John Lea attachment removed Super_key_shutcuts_overlay.png https://bugs.launchpad.net/ayatana-design/+bug/855532/+attachment/2435954/+files/Super_key_shutcuts_overlay.png
2011-11-17 18:29:00 John Lea attachment added Super_key_shutcuts_overlay.png https://bugs.launchpad.net/ayatana-design/+bug/855532/+attachment/2599906/+files/Super_key_shutcuts_overlay.png
2011-11-18 15:04:41 Gerry Boland bug task added unity-2d (Ubuntu)
2011-11-18 15:04:55 Gerry Boland bug task added unity-2d
2011-11-18 15:05:06 Gerry Boland unity-2d: status New Confirmed
2011-11-18 15:05:10 Gerry Boland unity-2d: importance Undecided High
2011-11-18 15:05:14 Gerry Boland unity-2d (Ubuntu): status New Confirmed
2011-11-18 15:05:16 Gerry Boland unity-2d (Ubuntu): importance Undecided High
2011-11-18 17:12:12 Chase Douglas bug added subscriber Chase Douglas
2011-11-22 23:57:39 Andrea Azzarone unity: assignee Jason Smith (jassmith) Andrea Azzarone (andyrock)
2011-11-22 23:57:43 Andrea Azzarone unity (Ubuntu): assignee Andrea Azzarone (andyrock)
2011-11-23 22:16:18 Andrea Azzarone unity: status Confirmed In Progress
2011-11-23 22:16:23 Andrea Azzarone unity (Ubuntu): status Confirmed In Progress
2011-12-05 16:40:18 Andrea Azzarone branch linked lp:~andyrock/unity/shortcut-hint
2011-12-07 18:02:00 John Lea attachment added keyboard_shortcuts_sizes.png https://bugs.launchpad.net/ayatana-design/+bug/855532/+attachment/2623426/+files/keyboard_shortcuts_sizes.png
2011-12-07 18:02:38 John Lea description Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key. See the attached design "Super_key_shutcuts_overlay.png". The overlay should use exact same border and transparent material as Alt-Tab. The keyboard shortcuts themselves are defined in the following google doc https://docs.google.com/a/canonical.com/document/d/1jqeKtIJwqLtl58Wk_fqjr9Rrgxn9zsouCYOo-cZsLSE/edit?authkey=CLGG9NkJ&hl=en_GB This should be displayed every time the user presses and holds the Super key, at the same time the Launcher keyboard shortcut hints are displayed. Releasing the Super key should hide this overlay, again at the same time the Launcher keyboard shortcust hints are hidden. Also not that the design of the Launcher keyboard shortcust hints has been updated. Contact Rosie for all required visual assets and dimensions. Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key. See the attached design "Super_key_shutcuts_overlay.png". The overlay should use exact same border and transparent material as Alt-Tab. The keyboard shortcuts themselves are defined in the following google doc https://docs.google.com/a/canonical.com/document/d/1jqeKtIJwqLtl58Wk_fqjr9Rrgxn9zsouCYOo-cZsLSE/edit?authkey=CLGG9NkJ&hl=en_GB This should be displayed every time the user presses and holds the Super key, at the same time the Launcher keyboard shortcut hints are displayed. Releasing the Super key should hide this overlay, again at the same time the Launcher keyboard shortcust hints are hidden. Also not that the design of the Launcher keyboard shortcust hints has been updated. Contact Rosie for all required visual assets. Dimensions are detailed in attached image "keyboard_shortcuts_sizes.png"
2011-12-08 13:57:43 John Lea description Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key. See the attached design "Super_key_shutcuts_overlay.png". The overlay should use exact same border and transparent material as Alt-Tab. The keyboard shortcuts themselves are defined in the following google doc https://docs.google.com/a/canonical.com/document/d/1jqeKtIJwqLtl58Wk_fqjr9Rrgxn9zsouCYOo-cZsLSE/edit?authkey=CLGG9NkJ&hl=en_GB This should be displayed every time the user presses and holds the Super key, at the same time the Launcher keyboard shortcut hints are displayed. Releasing the Super key should hide this overlay, again at the same time the Launcher keyboard shortcust hints are hidden. Also not that the design of the Launcher keyboard shortcust hints has been updated. Contact Rosie for all required visual assets. Dimensions are detailed in attached image "keyboard_shortcuts_sizes.png" Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key. See the attached design "Super_key_shutcuts_overlay.png". The overlay should use exact same border and transparent material as Alt-Tab. The keyboard shortcuts themselves are defined in the following google doc https://docs.google.com/a/canonical.com/document/d/1jqeKtIJwqLtl58Wk_fqjr9Rrgxn9zsouCYOo-cZsLSE/edit?authkey=CLGG9NkJ&hl=en_GB This should be displayed every time the user presses and holds the Super key, at the same time the Launcher keyboard shortcut hints are displayed. Releasing the Super key should hide this overlay, again at the same time the Launcher keyboard shortcust hints are hidden. If the screen resolution is *below* 1024x768 this shortcut hint overlay should not be displayed. Also not that the design of the Launcher keyboard shortcust hints has been updated. Contact Rosie for all required visual assets. Dimensions are detailed in attached image "keyboard_shortcuts_sizes.png"
2011-12-08 13:59:47 Xi Zhu description Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key. See the attached design "Super_key_shutcuts_overlay.png". The overlay should use exact same border and transparent material as Alt-Tab. The keyboard shortcuts themselves are defined in the following google doc https://docs.google.com/a/canonical.com/document/d/1jqeKtIJwqLtl58Wk_fqjr9Rrgxn9zsouCYOo-cZsLSE/edit?authkey=CLGG9NkJ&hl=en_GB This should be displayed every time the user presses and holds the Super key, at the same time the Launcher keyboard shortcut hints are displayed. Releasing the Super key should hide this overlay, again at the same time the Launcher keyboard shortcust hints are hidden. If the screen resolution is *below* 1024x768 this shortcut hint overlay should not be displayed. Also not that the design of the Launcher keyboard shortcust hints has been updated. Contact Rosie for all required visual assets. Dimensions are detailed in attached image "keyboard_shortcuts_sizes.png" Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key. See the attached design "Super_key_shutcuts_overlay.png". The overlay should use exact same border and transparent material as Alt-Tab. The keyboard shortcuts themselves are defined in the following google doc https://docs.google.com/a/canonical.com/document/d/1jqeKtIJwqLtl58Wk_fqjr9Rrgxn9zsouCYOo-cZsLSE/edit?authkey=CLGG9NkJ&hl=en_GB This should be displayed every time the user presses and holds the Super key, at the same time the Launcher keyboard shortcut hints are displayed. Releasing the Super key should hide this overlay, again at the same time the Launcher keyboard shortcust hints are hidden. Also not that the design of the Launcher keyboard shortcust hints has been updated. Contact Rosie for all required visual assets. Dimensions are detailed in attached image "keyboard_shortcuts_sizes.png" P.S.If screen size is smaller than 1024*768, the shortcut window does not come up.
2011-12-11 11:39:34 Omer Akram unity: milestone backlog 5.2.0
2011-12-11 12:00:08 Nobuto Murata bug added subscriber Nobuto MURATA
2011-12-11 20:16:43 Alan Bell tags onew udo udp a11y onew udo udp
2011-12-11 22:37:13 Alan Bell bug added subscriber Alan Bell
2011-12-11 23:25:11 Christopher Kyle Horton bug added subscriber Christopher Kyle Horton
2011-12-12 12:22:37 John Lea summary Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key Keyboard shotcut - Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key
2011-12-12 15:08:52 John Lea description Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key. See the attached design "Super_key_shutcuts_overlay.png". The overlay should use exact same border and transparent material as Alt-Tab. The keyboard shortcuts themselves are defined in the following google doc https://docs.google.com/a/canonical.com/document/d/1jqeKtIJwqLtl58Wk_fqjr9Rrgxn9zsouCYOo-cZsLSE/edit?authkey=CLGG9NkJ&hl=en_GB This should be displayed every time the user presses and holds the Super key, at the same time the Launcher keyboard shortcut hints are displayed. Releasing the Super key should hide this overlay, again at the same time the Launcher keyboard shortcust hints are hidden. Also not that the design of the Launcher keyboard shortcust hints has been updated. Contact Rosie for all required visual assets. Dimensions are detailed in attached image "keyboard_shortcuts_sizes.png" P.S.If screen size is smaller than 1024*768, the shortcut window does not come up. Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key. See the attached design "Super_key_shutcuts_overlay.png". The overlay should use exact same border and transparent material as Alt-Tab. The keyboard shortcuts themselves are defined in the following google doc https://docs.google.com/a/canonical.com/document/d/1jqeKtIJwqLtl58Wk_fqjr9Rrgxn9zsouCYOo-cZsLSE/edit?authkey=CLGG9NkJ&hl=en_GB This should be displayed every time the user presses and holds the Super key, at the same time the Launcher keyboard shortcut hints are displayed. Releasing the Super key should hide this overlay, again at the same time the Launcher keyboard shortcust hints are hidden. For users of screen readers, as soon as the Alt key is held down, a reading of the text should be piped directly through to the speech dispatcher. The reading should stop as soon as the Alt key is released. Also not that the design of the Launcher keyboard shortcust hints has been updated. Contact Rosie for all required visual assets. Dimensions are detailed in attached image "keyboard_shortcuts_sizes.png" P.S.If screen size is smaller than 1024*768, the shortcut window does not come up.
2011-12-12 16:38:27 John Lea tags a11y onew udo udp a11y keybinding onew udo udp
2011-12-13 19:29:07 David Sure bug added subscriber David Sure
2011-12-14 13:50:46 John Lea description Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key. See the attached design "Super_key_shutcuts_overlay.png". The overlay should use exact same border and transparent material as Alt-Tab. The keyboard shortcuts themselves are defined in the following google doc https://docs.google.com/a/canonical.com/document/d/1jqeKtIJwqLtl58Wk_fqjr9Rrgxn9zsouCYOo-cZsLSE/edit?authkey=CLGG9NkJ&hl=en_GB This should be displayed every time the user presses and holds the Super key, at the same time the Launcher keyboard shortcut hints are displayed. Releasing the Super key should hide this overlay, again at the same time the Launcher keyboard shortcust hints are hidden. For users of screen readers, as soon as the Alt key is held down, a reading of the text should be piped directly through to the speech dispatcher. The reading should stop as soon as the Alt key is released. Also not that the design of the Launcher keyboard shortcust hints has been updated. Contact Rosie for all required visual assets. Dimensions are detailed in attached image "keyboard_shortcuts_sizes.png" P.S.If screen size is smaller than 1024*768, the shortcut window does not come up. Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key. See the attached design "Super_key_shutcuts_overlay.png". The overlay should use exact same border and transparent material as Alt-Tab. The keyboard shortcuts themselves are defined in the following google doc https://docs.google.com/a/canonical.com/document/d/1jqeKtIJwqLtl58Wk_fqjr9Rrgxn9zsouCYOo-cZsLSE/edit?authkey=CLGG9NkJ&hl=en_GB This should be displayed every time the user presses and holds the Super key, at the same time the Launcher keyboard shortcut hints are displayed. Releasing the Super key should hide this overlay, again at the same time the Launcher keyboard shortcust hints are hidden. If screen size is smaller than 1024*768, the shortcut window should not be displayed. Also not that the design of the Launcher keyboard shortcust hints has been updated. Contact Rosie for all required visual assets. Dimensions are detailed in attached image "keyboard_shortcuts_sizes.png" --------------------------------- Accessibility notes: - For users of screen readers, as soon as the Alt key is held down, a reading of the text should be piped directly through to the speech dispatcher. The reading should stop as soon as the Alt key is released. - This overlay should be automatically disabled if sticky keys are turned on
2011-12-16 14:16:13 John Lea summary Keyboard shotcut - Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key Keyboard shortcut - Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key
2012-01-12 17:41:47 Didier Roche unity: milestone 5.2.0 5.0.0
2012-01-12 17:51:30 Didier Roche unity: milestone 5.0.0 5.2.0
2012-01-14 00:48:31 Andrea Azzarone unity: status In Progress Fix Committed
2012-01-14 00:48:35 Andrea Azzarone unity (Ubuntu): status In Progress Fix Committed
2012-01-31 12:01:55 Lohith D Shivamurthy branch linked lp:~unity-2d-team/unity-2d/shortcut-hint-overlay
2012-02-01 05:37:02 Lohith D Shivamurthy unity-2d: assignee Lohith D Shivamurthy (dyams)
2012-02-01 16:50:39 John Lea attachment removed Super_key_shutcuts_overlay.png https://bugs.launchpad.net/ayatana-design/+bug/855532/+attachment/2599906/+files/Super_key_shutcuts_overlay.png
2012-02-01 16:50:55 John Lea attachment added keyboard_shortcuts_overlay.png https://bugs.launchpad.net/ayatana-design/+bug/855532/+attachment/2705574/+files/keyboard_shortcuts_overlay.png
2012-02-01 16:57:36 John Lea description Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key. See the attached design "Super_key_shutcuts_overlay.png". The overlay should use exact same border and transparent material as Alt-Tab. The keyboard shortcuts themselves are defined in the following google doc https://docs.google.com/a/canonical.com/document/d/1jqeKtIJwqLtl58Wk_fqjr9Rrgxn9zsouCYOo-cZsLSE/edit?authkey=CLGG9NkJ&hl=en_GB This should be displayed every time the user presses and holds the Super key, at the same time the Launcher keyboard shortcut hints are displayed. Releasing the Super key should hide this overlay, again at the same time the Launcher keyboard shortcust hints are hidden. If screen size is smaller than 1024*768, the shortcut window should not be displayed. Also not that the design of the Launcher keyboard shortcust hints has been updated. Contact Rosie for all required visual assets. Dimensions are detailed in attached image "keyboard_shortcuts_sizes.png" --------------------------------- Accessibility notes: - For users of screen readers, as soon as the Alt key is held down, a reading of the text should be piped directly through to the speech dispatcher. The reading should stop as soon as the Alt key is released. - This overlay should be automatically disabled if sticky keys are turned on Add keyboard shortcut hint overlay that is displayed when a user presses and holds the Super key. See the attached design "Super_key_shutcuts_overlay.png". The overlay should use exact same border and transparent material as Alt-Tab. The keyboard shortcuts themselves are defined in the following google doc https://docs.google.com/a/canonical.com/document/d/1jqeKtIJwqLtl58Wk_fqjr9Rrgxn9zsouCYOo-cZsLSE/edit?authkey=CLGG9NkJ&hl=en_GB This should be displayed every time the user presses and holds the Super key, at the same time the Launcher keyboard shortcut hints are displayed. Releasing the Super key should hide this overlay, again at the same time the Launcher keyboard shortcust hints are hidden. If screen size is smaller than 1024*768, the shortcut window should not be displayed. Also not that the design of the Launcher keyboard shortcust hints has been updated. The design is attached to this bug, see "keyboard_shortcuts_overlay.png". Dimensions are detailed in attached image "keyboard_shortcuts_sizes.png" --------------------------------- Accessibility notes: - For users of screen readers, as soon as the Alt key is held down, a reading of the text should be piped directly through to the speech dispatcher. The reading should stop as soon as the Alt key is released. - This overlay should be automatically disabled if sticky keys are turned on
2012-02-03 10:28:01 Didier Roche unity: status Fix Committed Fix Released
2012-02-03 10:39:25 Launchpad Janitor branch linked lp:~ubuntu-desktop/unity/ubuntu
2012-02-03 10:50:28 Launchpad Janitor unity (Ubuntu): status Fix Committed Fix Released
2012-02-03 13:34:46 Launchpad Janitor branch linked lp:ubuntu/unity
2012-02-10 18:51:22 Florian Boucault unity-2d: milestone 5.4
2012-02-10 20:42:35 David Sure removed subscriber David Sure
2012-02-13 12:30:00 Florian Boucault unity-2d: status Confirmed In Progress
2012-02-14 16:21:01 Gerry Boland unity-2d: milestone 5.4 5.6
2012-03-05 08:52:09 Didier Roche unity-2d: milestone 5.6 5.8
2012-03-21 20:54:53 Tiago Salem Herrmann unity-2d: assignee Lohith D Shivamurthy (dyams) Tiago Salem Herrmann (tiagosh)
2012-03-23 14:42:02 Didier Roche unity-2d: milestone 5.8 5.10.0
2012-04-12 15:01:34 Didier Roche unity-2d: milestone 5.10.0 5.12
2012-04-17 14:44:19 Albert Astals Cid unity-2d: assignee Tiago Salem Herrmann (tiagosh)
2012-04-19 13:23:05 Albert Astals Cid unity-2d: status In Progress Triaged
2012-04-27 12:26:59 Didier Roche unity-2d: milestone 5.12 5.14
2012-06-05 11:07:06 JohnWashington bug added subscriber JohnWashington
2012-10-01 12:59:17 John Lea ayatana-design: status Fix Committed Fix Released
2012-10-01 12:59:30 John Lea tags a11y keybinding onew udo udp a11y keybinding reviewedbydesignp
2013-08-21 15:13:48 Jean Christophe André bug added subscriber Jean Christophe André
2014-05-09 11:43:25 Jorge Morais bug added subscriber Jorge Morais
2014-05-09 15:32:25 Adolfo Jayme bug task deleted unity-2d (Ubuntu)
2017-06-29 15:27:57 Bryan Quigley unity-2d: status Triaged Invalid